Bug 324781 - grep -P behaves different to perl or pcregrep
grep -P behaves different to perl or pcregrep
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: grep (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-09 08:22 EDT by Alexander Boström
Modified: 2008-10-01 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 12:57:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Handle line wrapping in PCRE regexps correctly (3.12 KB, text/plain)
2008-10-01 11:02 EDT, Lubomir Rintel
no flags Details

  None (edit)
Description Alexander Boström 2007-10-09 08:22:22 EDT
Description of problem:
grep -P behaves different to perl or pcregrep, probably wrong.

Version-Release number of selected component (if applicable):
grep-2.5.1-57.fc7 (also on RHEL5)

How reproducible:
Always

Steps to Reproduce:

$ grep -P '[^aeiou][^aeiou][^aeiou][^aeiou]' /usr/share/dict/words |wc -l
270270

$ pcregrep '[^aeiou][^aeiou][^aeiou][^aeiou]' /usr/share/dict/words |wc -l
53115

$ perl -lne 'print if /[^aeiou][^aeiou][^aeiou][^aeiou]/' /usr/share/dict/words
|wc -l
53115
  
Actual results:
Above commands have different output.

Expected results:
All above commands should have the same output.
Comment 1 Bug Zapper 2008-05-14 10:41:07 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Alexander Boström 2008-06-16 07:27:53 EDT
I looks like this is reproducible on a fully up to date Fedora 9 machine.
Comment 3 Lubomir Rintel 2008-10-01 11:02:48 EDT
Created attachment 318207 [details]
Handle line wrapping  in PCRE regexps correctly

This patch fixed the issue for me.
Comment 4 Lubomir Rintel 2008-10-01 12:57:29 EDT
Fixed in grep-2_5_1a-61_fc10

Note You need to log in before you can comment on or make changes to this bug.